libxml++ 2.40.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::parse_error Class Reference

This exception will be thrown when the parser encounters an error in the XML document. More...

`#include <libxml++/exceptions/parse_error.h>`

Inheritance diagram for xmlpp::parse_error:
[legend]

## Public Member Functions
| parse_error (const Glib::ustring& message)
| ~parse_error () noexceptoverride
exception* | Clone () const override
void | Raise () const override
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
| ~exception () noexceptoverride
const char* | what () const noexceptoverride

## Detailed Description

This exception will be thrown when the parser encounters an error in the XML document.

## Constructor & Destructor Documentation

xmlpp::parse_error::parse_error | ( | const Glib::ustring & | message | ) |
| explicit

xmlpp::parse_error::~parse_error | ( |  | ) |
| override noexcept

## Member Function Documentation

exception* xmlpp::parse_error::Clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.

void xmlpp::parse_error::Raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.